Subject: RE: [Simple] xcap/geopriv alignment issue 5: permission data type s

From: Tschofenig Hannes <[email-masked]>
Date: Wed, 3 Dec 2003 14:43:35 +0100

# hi jonathan, 

# please see my comment inline:

# ~~snip~~

> Hannes writes:
> > You raised an interesting issue addressing rule permission 
> combining. You
> > might want to take a look at our geopriv authz draft.  
> > 
> > The draft describes how permissions are combined for some 
> cases. However, as
> > noted in the geopriv wg meeting there are still some 
> technical issues to
> > achieve the expected behavior. We pointed to a subset of 
> issues (i.e.,
> > default behavior) in our presentation at
> > 
http://www.tschofenig.com/geopriv/IETF58/Geopriv_policies_ietf58.ppt (slide
> 22/23). 
> 
> In a more sophisticated example you might even have to define a lattice.
You
> can find an example in Section 7.4 of our draft. 
> 
> My conclusion is that we have to look carefully at examples to verify the
> result. In Jonathan's example below you need to make sure that you
carefully
> define what 'true' and 'false' means. The same is true for values like
> accuracy. 

I'm confused about what the problem is. Once you define the data types 
and then define a combining operator, you just need to be careful 
about how you use them. As long as, for any integer type, a larger 
value is more permissive than a smaller one, you should be OK.

In the case of the "provide civil location" transformation, it seems 
to me that this is basically an integer, whose values are mapped to a 
pnemonic that describes the level. So:

#define NULL 0
#define COUNTRY 1
#define REGION 2
#define CITY 3
#define BUILDING 4
#define FULL 5

thus, if one statement grants you country, and another grants you 
building, you get building (MAX(1,4) = 4).

Am I missing something?

# you miss nothing here. i think that the description in the draft is easy
to follow. for future extensions it might be possible that the lattice is
more complex and you need to follow the same procedure. 

# have you looked at the slides (as indicated above). there you see an
example where you have the combination with a default rule where the result
is counter-intuitive. we still need to address these issues in a future
version of the draft.  

# ciao
# hannes

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Tschofenig Hannes <[email-masked]>
Date: Wed, 3 Dec 2003 17:24:16 +0100

hi jonathan, 

~~ snip~~ 
> 
> I did look at the slides, but I dont see or understand the problem. 
> WHy is the result counter-intuitive? It says that the civil location 
> that gets distributed is at the city level, and the D flag is TRUE. 
> Seems OK to me... maybe I am missing something...

the result is perfectly fine from the perspective of the permission
combining algorithm. 

let me consider the example again: 

i want to disclose location information at a coarse granularity (in this
case country) for everyone (and additionally allow them to further
distribute this location information). 
additionally i specify a second rule which says that one particular person
is allowed to see my detailed location (city in this case) but i do not want
to allow the distribution of this information (= D-flag set to false). 

usually someone would assume that the outcome is that allison requesting
location information would not be allowed to further distribute information.
however, based on the rule combining algorithm this is not the case. 

you can easily extend this example to other attributes (e.g., encryption). 

don't you think that this is counter-intuitive?

ciao
hannes